Skip to main content
GET

Authorization

string
required
All APIs require Bearer Token authentication. Format: Bearer YOUR_API_KEY

Path Parameters

string
required
Task ID. Ignore {} when querying. Append the task_id returned from the async task creation response to the end of the path.

Response Schema

string
required
Task ID.
integer
Task progress percentage.Required range: 0 <= x <= 100
enum<string>
required
Task status.Available options: pending, processing, completed, failed
string | null
Generated video URL (present when status is completed, valid for 24 hours).
string | null
Thumbnail URL (if provided).
number | null
Video duration in seconds (if provided).
string | null
Error information (present when status is failed).
integer | string | null
Created timestamp.
integer | string | null
Updated timestamp.
integer | string | null
Completed timestamp.

Authorizations

Authorization
string
header
required

All APIs require Bearer Token authentication. Get your API Key from the dashboard and add to request header: Authorization: Bearer YOUR_API_KEY

Path Parameters

task_id
string
required

Task ID returned from the video generation request. Example: vid_202512261557_b4fcbb08

Example:

"vid_202512261557_b4fcbb08"

Response

Task status retrieved successfully

task_id
string

Task ID

Example:

"vid_202512261557_b4fcbb08"

status
enum<string>

Task status

Available options:
pending,
processing,
completed,
failed
Example:

"completed"

progress
integer

Task progress percentage (0-100)

Required range: 0 <= x <= 100
Example:

100

video_url
string | null

Generated video URL (present when status is completed, valid for 24 hours)

Example:

"https://example.com/video.mp4"

thumbnail_url
string | null

Thumbnail URL (if provided)

Example:

"https://example.com/thumbnail.jpg"

duration
number | null

Video duration in seconds (if provided)

Example:

4

error
string | null

Error information (present when status is failed)

Example:

null

created_at
integer

Created timestamp

Example:

1767072426

updated_at
integer | null

Updated timestamp

Example:

1767072433

completed_at
integer | null

Completed timestamp

Example:

1767072433